Skip to main content
Recurring Plans API

List Recurring Plans

GET /recurring-plans/list

The endpoint retrieves all Recurring Plans that belong to a business.

This list uses pagination.

Available Filters

This endpoint supports advanced filtering and search capabilities based on the parameters below.
The parameters should be appended to the API URL as follows:

https://api.druo.com/recurring-plans/list?status=SUCCESSFUL&end_user_email=j.smith@example.com.
Category Query Parameter Description
General code The transaction's code.
General status The transaction's status.
General description Any text contained within the transaction's description.
General amount The exact transaction amount.
General tenant_uuid The transaction's Tenant uuid.
General amount_less_than An amount that the transaction must be less than or equal to.
General amount_greater_than An amount that the transaction must be greater than or equal to.
General primary_reference Any value contained within the primary reference.
General secondary_reference Any value contained within the secondary reference.
General date_from The beginning of the creation date range in GMT time.
General date_to The end of creation date range in GMT time.
Origin Account origin_account_uuid Any transaction with an origin account uuid.
Origin Account origin_account_code Any transaction with an origin account code.
Origin Account origin_account_last_4 Any transaction with an origin account last 4.
Origin Account origin_account_institution_uuid Any transaction with an origin account institution.
Destination Account destination_account_uuid Any transaction with an destination account uuid.
Destination Account destination_account_code Any transaction with an destination account code.
Destination Account destination_account_last_4 Any transaction with an destination account last 4.
Destination Account destination_account_institution_uuid Any transaction with an destination account institution.
End User end_user_uuid Any transaction with an end user uuid.
End User end_user_code Any transaction with an end user code.
End User end_user_email Any transaction with an end user email.
End User end_user_local_id Any transaction with an end user local id.
Merchant merchant_id Any transacition with this merchant_id.

Response Fields (array)

uuid

string

The Recurring Plan’s UUID.

Example value:  rcp_747536f4-1efd-4cad-91b3-cc8aaeed93e3

code

string

The Recurring Plan’s code.

Example value:  SCSCDSVFGH

description

string

The description of the created Recurring Plan.

Example value:  "Recurring Plan #1234567 for transaction 123455"

processing_method

string

The Recurring Plan’s processing method.

Example value:  AUTOMATIC

status

string

The Recurring Plan’s status.

Example value:  ACTIVE

start_date

string

The Recurring Plan’s scheduled start date.

Example value:  2023-08-16T23:20:15.645+00:00

end_date

string

The Recurring Plan’s scheduled end date.

Example value:  2023-10-16T23:20:15.645+00:00

total_cycle_count

string

The Recurring Plan’s cycle count.

Example value:  4

cycle_frequency

string

The Recurring Plan’s cycle frequency.

Example value:  MONTHLY

end_user

EndUser

The full End User object related to this Account.

See more here.

origin_account

string

The Recurring Plan’s Origin account.

Example value:  acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340

destination_account

string

The Recurring Plan’s destination account.

Example value:  acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340

primary_reference

string

The connect link’s primary reference. Can be any value to associate the connected account to an entity in an external system.

Example value:  23423524

secondary_reference

string

The connect link’s primary reference. Can be any value to associate the connected account to an entity in an external system.
Example value:  bj39fhow39fhqp3f0hfae4344

transaction

object

The transaction information that belongs to the created Recurring Plan

{
"tenant": {
"uuid": "22637d15-5b37-4fb2-90e5-aa8751970469"
},
"type": "PAYMENT",
"currency": "USD",
"amount": 10000,
"statement_descriptor": "NOVO BILLING* INV12324",
"primary_reference": "Transaction primary reference",
"secondary_reference": "Transaction secondary reference",
"metadata": {
"id_user": "69440",
"transaction_xyz": "JOHN SMITH"
}
}
metadata

string

Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

Example value:  {"order_id": "6735"}

date_created_gmt

date-time

Create date of the account

Example value:  2021-11-15T23:23:38Z

date_updated_gmt

date-time

Updated date of the account

Example value:  2021-11-15T23:23:38Z

GET /recurring-plans/list
curl --location 'https://api.druo.com/recurring-plans/list' \
--header 'ACCESS_TOKEN'
Response
{
    "recurring_plans": [{
        "uuid": "rcp_f22f82bc-4f6c-404c-95a9-aa8dbb27c8bd",
        "code": "S7JP08G6INJ",
        "description": "Insurance policy renewal - INV12324",
        "processing_method": "AUTOMATIC",
        "status": "ACTIVE",
        "start_date": "2023-08-16",
        "end_date": "2023-10-16",
        "total_cycle_count": null,
        "cycle_frequency": "MONTHLY",
        "end_user": {
            "uuid": "eur_cd621b34-dd18-4bce-a5bf-ae4ffb40f94a",
            "code": "EVIQ3W7K2F6",
            "type": "INDIVIDUAL",
            "organization": "DRUO",
            "email": "johnsmith@druo.com",
            "note": "Druo user for User JOHN SMITH",
            "metadata": {
                "name": "JOHN",
                "id_user": "69440"
            },
            "first_name": "JOHN",
            "last_name": "SMITH",
            "local_id": "1011234123",
            "local_id_type": null,
            "address": {
                "locality": "Bogotá D.C. ",
                "sublocality": null,
                "administrative_district": "Bogotá D.C. ",
                "postal_code": " ",
                "country": "COL",
                "address_line1": null,
                "address_line2": null,
                "address_line3": null
            },
            "local_id_country": "COL",
            "preferred_language": "es_CO",
            "date_of_birth": "2002-01-01",
            "phone_number": {
                "country_code": "57",
                "number": "3213214455"
            },
            "primary_reference": "End user primary reference ",
            "secondary_reference": "End user secondary reference ",
            "date_created_gmt": "2023-08-19T00:24:34.945Z",
            "date_updated_gmt": "2023-08-19T00:24:34.945Z"
        },
        "origin_account": {
            "uuid": "acc_f5f1cd79-5efe-4a21-b516-f586dc9105b7"
        },
        "destination_account": {
            "uuid": "acc_f5f1cd79-5efe-4a21-b516-f586dc9105b7"
        },
        "transaction": {
            "tenant": {
                "uuid": "22637d15-5b37-4fb2-90e5-aa8751970469"
            },
            "type": "PAYMENT",
            "currency": "USD",
            "amount": 10000,
            "statement_descriptor": "NOVO BILLING* INV12324",
            "primary_reference": "Transaction primary reference",
            "secondary_reference": "Transaction secondary reference",
            "metadata": {
                "id_user": "69440",
                "transaction_xyz": "JOHN SMITH"
            }
        },
        "primary_reference": "ABC123",
        "secondary_reference": "bj39fhow39fhqp3f0hfae4344",
        "metadata": {
            "order_id": "6735"
        },
        "date_created_gmt": "2023-08-19T00:24:34.945Z",
        "date_updated_gmt": "2023-08-19T00:24:34.945Z"
    }],
 "page_info": {
        "has_next_page": false,
        "page_size": 27
    }
}